package vsp;

/**
 * Keeps and parse command line arguments
 * @author Jan Tichava
 *
 */
public class CommandLine {

	/**
	 * Default steps value
	 */
	private int steps = 10000;
	/**
	 * Default is exponential
	 */
	private boolean gauss = false;
	/**
	 * No default file name
	 */
	private String fileName = null;

	/**
	 * @return the steps
	 */
	public int getSteps() {
		return steps;
	}

	/**
	 * Parse count of steps
	 * @param steps the steps to set
	 */
	public void setSteps(String steps) throws NumberFormatException {
		this.steps = Integer.valueOf(steps);
	}

	/**
	 * @return the gauss
	 */
	public boolean getGauss() {
		return gauss;
	}

	/**
	 * Parse EXP or GAUSS
	 * @param gauss the gauss to set
	 */
	public void setGauss(String arg) throws Exception {
		
		if (arg.equalsIgnoreCase("exp")) {
			this.gauss = false;
			return;
		}
		if (arg.equalsIgnoreCase("gauss")) {
			this.gauss = true;;
			return;
		}
		
		throw new Exception("Unknown argument: " + arg);
	}

	/**
	 * @return the fileName
	 */
	public String getFileName() {
		return fileName;
	}

	/**
	 * Store file name
	 * @param fileName the fileName to set
	 */
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	
	/**
	 * String output
	 */
	public String toString() {
		return "Steps: " + steps + ", gauss: " + gauss + ", filename: " + fileName;
	}
}
