package vsp.gaussian;

/**
 * Gaussian generator
 * 
 * @author Jan Tichava
 *
 */
public class Gaussian {
	private Params params;

	/**
	 * Create new gaussian
	 * @param params parameters from command line
	 */
	public Gaussian(Params params) {
		this.params = params;
	}
	
	/**
	 * Get function value in 'x'
	 * @param x desired value
	 * @return function value
	 */
	public double functionValue(double x) {
		return function(x);
	}
	
	/**
	 * Get function value in 'x'
	 * @param x desired value
	 * @return function value
	 */
	private double function(double x) {
		double denominator = Math.sqrt(2.0 * Math.PI * params.getDeviation());
		double fraction = 1.0 / denominator;
		
		double exponentNumerator = -(Math.pow(x - params.getMedian(), 2));
		double exponentDenominator = 2.0 * params.getDeviation();
		double exponent = exponentNumerator / exponentDenominator;
		
		double value = fraction * Math.pow(Math.E, exponent);
		
		return value;
	}
}
